%define name	geeqie
%define version	1.1
%define release	%mkrel 4

%define docname	%{name}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Graphics file browser utility
License:	GPLv2+
Group:		Graphics/Viewers
URL:		http://geeqie.sourceforge.net/

Source0:	%{name}-%{version}.tar.gz


BuildRequires:	pkgconfig(lcms)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gtk+-2.0)

BuildRequires:	intltool
BuildRequires:	lirc-devel
BuildRequires:	gnome-doc-utils

# I don't use rename here because gqview is at v2.x and geeqie at v1.x
Obsoletes:		gqview
Provides:		gqview

%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.
Geeqie is a fork of gqview.



%prep
%setup -q


%build
%configure2_5x --with-readmedir="%{_docdir}/%{docname}" \
				--enable-gps \
				--enable-lirc

%make

%install
%__rm -rf "%{buildroot}"
%makeinstall_std gq_bindir=%{_libdir}/%{name}

# we make a link to ease the transition from gqview
# maybe in a distant future we'll get rid of it (written in 2012-02-27)
ln -s %{_bindir}/%{name} %{buildroot}/%{_bindir}/gqview


%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README README.lirc
%{_bindir}/%{name}
%{_bindir}/gqview
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/template.desktop
%dir %{_datadir}/%{name}/applications
%{_datadir}/%{name}/applications/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_mandir}/man1/%{name}*



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 504741
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 351243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 julien <julien> 1.1-2.mga3
+ Revision: 300018
- clean old comment
- adapt to new rpm group policy

* Sat Sep 01 2012 julien <julien> 1.1-1.mga3
+ Revision: 286960
- new version 1.1
- drop patches not needed anymore (merged upstream or not relevant)

* Mon Jun 18 2012 fwang <fwang> 1.1-0.svn20101203.2.mga3
+ Revision: 261675
- add gentoo patch to fix build

* Mon Feb 27 2012 julien <julien> 1.1-0.svn20101203.2.mga2
+ Revision: 215715
- obsolete gqview
- add a symbolic link to ease transition from gqview
- proper attribution of geeqie directory

* Sun Feb 26 2012 julien <julien> 1.1-0.svn20101203.1.mga2
+ Revision: 215292
- new tarball from dev tree without .svn dir
- compress with xz
- add patches from various source (mostly crash fix)
- clean specfile

  + petos <petos>
    - imported package geeqie

